//[passport](../../../../index.md)/[com.yandex.passport.api](../../index.md)/[PassportCredentialProvider](../index.md)/[Provided](index.md)

# Provided

[passport]\
data class [Provided](index.md)(val passportCredentials: [PassportCredentials](../../-passport-credentials/index.md)) : [PassportCredentialProvider](../index.md)

Directly provided [PassportCredentials](../../-passport-credentials/index.md).

## Constructors

| | |
|---|---|
| [Provided](-provided.md) | [passport]<br>fun [Provided](-provided.md)(encryptedId: String, encryptedSecret: String) |
| [Provided](-provided.md) | [passport]<br>fun [Provided](-provided.md)(passportCredentials: [PassportCredentials](../../-passport-credentials/index.md)) |

## Properties

| Name | Summary |
|---|---|
| [passportCredentials](passport-credentials.md) | [passport]<br>val [passportCredentials](passport-credentials.md): [PassportCredentials](../../-passport-credentials/index.md) |
